[oe,meta-oe,7/8] poco: Define LIB_SUFFIX per OE multilibs

Message ID 20191219152529.725879-7-raj.khem@gmail.com
State Accepted
Commit 130cc706f12f37f6cc0d682e93aab9ca6fe76be2
Headers show
Series
  • [oe,meta-oe,1/8] luajit: Add ppc/ppc64 to unsupported arch list
Related show

Commit Message

Khem Raj Dec. 19, 2019, 3:25 p.m.
Signed-off-by: Khem Raj <raj.khem@gmail.com>

---
 meta-oe/recipes-support/poco/poco_1.9.4.bb | 1 +
 1 file changed, 1 insertion(+)

-- 
2.24.1

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Patch

diff --git a/meta-oe/recipes-support/poco/poco_1.9.4.bb b/meta-oe/recipes-support/poco/poco_1.9.4.bb
index c854481de3..f1dabcd012 100644
--- a/meta-oe/recipes-support/poco/poco_1.9.4.bb
+++ b/meta-oe/recipes-support/poco/poco_1.9.4.bb
@@ -52,6 +52,7 @@  PACKAGECONFIG[SevenZip] = "-DENABLE_SEVENZIP=ON,-DENABLE_SEVENZIP=OFF"
 
 EXTRA_OECMAKE = "-DCMAKE_BUILD_TYPE=RelWithDebInfo -DPOCO_UNBUNDLED=ON \
                   -DZLIB_LIBRARY_RELEASE:STRING=z -DPCRE_LIBRARY:STRING=pcre \
+                  -DLIB_SUFFIX=${@d.getVar('baselib').replace('lib', '')} \
                  ${@bb.utils.contains('PTEST_ENABLED', '1', '-DENABLE_TESTS=ON ', '', d)}"
 
 # For the native build we want to use the bundled version